Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.converter
Class ExcelToFoConverter

    java.lang.Object
      org.apache.poi.hssf.converter.AbstractExcelConverter
          org.apache.poi.hssf.converter.ExcelToFoConverter

    public class ExcelToFoConverter

extends AbstractExcelConverter

Converts xls files (97-2007) to XSL FO.

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Constructor Summary
`ExcelToFoConverter(org.w3c.dom.Document document)`
`ExcelToFoConverter(FoDocumentFacade foDocumentFacade)`

Method Summary
`float` | `getPageMarginInches()`
`static void` | `main(java.lang.String[] args)` Java main() interface to interact with `ExcelToFoConverter`
`static org.w3c.dom.Document` | `process(java.io.File xlsFile)` Converts Excel file (97-2007) into XSL FO file.
`void` | `processWorkbook(org.apache.poi.hssf.usermodel.HSSFWorkbook workbook)`
`void` | `setPageMarginInches(float pageMarginInches)`

Methods inherited from class org.apache.poi.hssf.converter.AbstractExcelConverter
`getFontReplacer, isOutputColumnHeaders, isOutputHiddenColumns, isOutputHiddenRows, isOutputLeadingSpacesAsNonBreaking, isOutputRowNumbers, setFontReplacer, setOutputColumnHeaders, setOutputHiddenColumns, setOutputHiddenRows, setOutputLeadingSpacesAsNonBreaking, setOutputRowNumbers`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcelToFoConverter

    public ExcelToFoConverter(org.w3c.dom.Document document)

### ExcelToFoConverter

    public ExcelToFoConverter(FoDocumentFacade foDocumentFacade)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Java main() interface to interact with `ExcelToFoConverter`

  Usage: ExcelToHtmlConverter infile outfile

  Where infile is an input .xls file ( Word 97-2007) which will be rendered as XSL FO into outfile

### process

    public static org.w3c.dom.Document process(java.io.File xlsFile)
                                        throws java.lang.Exception

  Converts Excel file (97-2007) into XSL FO file.

  Parameters:
    `xlsFile` - file to process
  Returns:
    DOM representation of result XSL FO
  Throws:
    `java.lang.Exception`

### getPageMarginInches

    public float getPageMarginInches()

### processWorkbook

    public void processWorkbook(org.apache.poi.hssf.usermodel.HSSFWorkbook workbook)

### setPageMarginInches

    public void setPageMarginInches(float pageMarginInches)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD